Bug 737707 - Replace proftpd xinetd service with native systemd service
Replace proftpd xinetd service with native systemd service
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: proftpd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-12 18:57 EDT by Jóhann B. Guðmundsson
Modified: 2015-02-05 12:56 EST (History)
3 users (show)

See Also:
Fixed In Version: proftpd-1.3.5-5.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-05 12:56:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xproftp socket (129 bytes, text/plain)
2011-09-12 18:57 EDT, Jóhann B. Guðmundsson
no flags Details
xproftp service (123 bytes, text/plain)
2011-09-12 18:58 EDT, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2011-09-12 18:57:16 EDT
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-09-12 18:57:59 EDT
Created attachment 522822 [details]
xproftp socket
Comment 2 Jóhann B. Guðmundsson 2011-09-12 18:58:57 EDT
Created attachment 522823 [details]
xproftp service
Comment 3 Jóhann B. Guðmundsson 2011-09-12 18:59:25 EDT
Once package and shipped your package should no longer have to depend on xinetd

https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
Comment 4 Paul Howarth 2011-09-13 02:47:55 EDT
Socket activation of proftpd is non-trivial, as discussed upstream:

http://bugs.proftpd.org/show_bug.cgi?id=3661

This will have to wait until upstream support is available, and for the time being we'll have to stick with regular activation using the unit file as in Bug 719437.

*** This bug has been marked as a duplicate of bug 719437 ***
Comment 5 Jóhann B. Guðmundsson 2011-09-13 05:09:00 EDT
Note this is not a duplicate this is for xproftd the xined script
Comment 6 Paul Howarth 2011-09-13 05:44:26 EDT
Does systemd work exactly like xinetd here, i.e. starting a separate instance of proftpd for each incoming connection? If it doesn't, it's not going to work.
Comment 7 Jóhann B. Guðmundsson 2011-09-13 06:15:24 EDT
It should do that yes
Comment 8 Fedora End Of Life 2013-04-03 15:32:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Zbigniew Jędrzejewski-Szmek 2013-12-26 11:32:20 EST
Ping?
Comment 10 Fedora End Of Life 2015-01-09 11:46:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Paul Howarth 2015-02-05 12:56:35 EST
Done in proftpd-1.3.5-5.fc22

Apologies that it has taken so long for me to get around to this.

Note You need to log in before you can comment on or make changes to this bug.